# Note that this is NOT a relocatable package
Summary: GNOME utility programs such as file search and calculator.
Name: gnome-utils
Version: 1.4.0.2
Release: 4mdk
License: LGPL
Group:  Graphical desktop/GNOME
Source: ftp://ftp.gnome.org/pub/GNOME/sources/gnome-utils/gnome-utils-%{version}.tar.bz2
Source1: gnome-calc2-48.xpm.bz2
Source2: gnome-calc2-32.xpm.bz2
Source3: gnome-calc2-16.xpm.bz2
Source4: gcharmap-48.xpm.bz2
Source5: gcharmap-32.xpm.bz2
Source6: gcharmap-16.xpm.bz2
Source7: gnome-color-browser-48.xpm.bz2
Source8: gnome-color-browser-32.xpm.bz2
Source9: gnome-color-browser-16.xpm.bz2
Source10: gnome-diskfree-48.xpm.bz2
Source11: gnome-diskfree-32.xpm.bz2
Source12: gnome-diskfree-16.xpm.bz2
Source13: gfloppy-48.xpm.bz2
Source14: gfloppy-32.xpm.bz2
Source15: gfloppy-16.xpm.bz2
Source16: gnome-fontsel-48.xpm.bz2
Source17: gnome-fontsel-32.xpm.bz2
Source18: gnome-fontsel-16.xpm.bz2
Source19: gless-48.xpm.bz2
Source20: gless-32.xpm.bz2
Source21: gless-16.xpm.bz2
Source22: gnome-searchtool-48.xpm.bz2
Source23: gnome-searchtool-32.xpm.bz2
Source24: gnome-searchtool-16.xpm.bz2
Source25: gnome-cromagnon-48.xpm.bz2
Source26: gnome-cromagnon-32.xpm.bz2
Source27: gnome-cromagnon-16.xpm.bz2
Source28: gnome-info-48.xpm.bz2
Source29: gnome-info-32.xpm.bz2
Source30: gnome-info-16.xpm.bz2
Source31: gnome-who-48.xpm.bz2
Source32: gnome-who-32.xpm.bz2
Source33: gnome-who-16.xpm.bz2
Source34: logview-48.xpm.bz2
Source35: logview-32.xpm.bz2
Source36: logview-16.xpm.bz2

Patch0: gnome-utils-1.4.0.2-pam.patch.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Icon: gnome-utils-logo.xpm
URL: http://www.gnome.org

BuildRequires: flex gdk-pixbuf-devel libgtop-devel >= 1.0.0 xpm-devel
BuildRequires: db1-devel e2fsprogs-devel libglade-devel 
BuildRequires: gpm-devel ncurses-devel gnome-core-devel
BuildRequires: e2fsprogs-devel xml-i18n-tools guile-devel

Requires: usermode scrollkeeper

Obsoletes:	gfloppy
Obsoletes:	gnome-admin

%description
GNOME is the GNU Network Object Model Environment. This powerful
environment is both easy to use and easy to configure.

This package will install some GNOME utilities, such as the
file search tool, a calculator, an hexadeciaml aditor, etc.


%prep
%setup -q
%patch0 -p1 -b .pam

# xml-i18n-tools have been forgotten from tarball
xml-i18n-toolize --copy



%build

%configure --enable-console-helper

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall
%{find_lang} %{name}

#
# Lots of icons
#
install -d $RPM_BUILD_ROOT/%{_iconsdir}
install -d $RPM_BUILD_ROOT/%{_liconsdir}
install -d $RPM_BUILD_ROOT/%{_miconsdir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT/%{_liconsdir}/gnome-calc2.xpm
bzcat %{SOURCE2} > $RPM_BUILD_ROOT/%{_iconsdir}/gnome-calc2.xpm
bzcat %{SOURCE3} > $RPM_BUILD_ROOT/%{_miconsdir}/gnome-calc2.xpm
bzcat %{SOURCE4} > $RPM_BUILD_ROOT/%{_liconsdir}/gcharmap.xpm
bzcat %{SOURCE5} > $RPM_BUILD_ROOT/%{_iconsdir}/gcharmap.xpm
bzcat %{SOURCE6} > $RPM_BUILD_ROOT/%{_miconsdir}/gcharmap.xpm
bzcat %{SOURCE7} > $RPM_BUILD_ROOT/%{_liconsdir}/gnome-color-browser.xpm
bzcat %{SOURCE8} > $RPM_BUILD_ROOT/%{_iconsdir}/gnome-color-browser.xpm
bzcat %{SOURCE9} > $RPM_BUILD_ROOT/%{_miconsdir}/gnome-color-browser.xpm
bzcat %{SOURCE10} > $RPM_BUILD_ROOT/%{_liconsdir}/gnome-diskfree.xpm
bzcat %{SOURCE11} > $RPM_BUILD_ROOT/%{_iconsdir}/gnome-diskfree.xpm
bzcat %{SOURCE12} > $RPM_BUILD_ROOT/%{_miconsdir}/gnome-diskfree.xpm
bzcat %{SOURCE13} > $RPM_BUILD_ROOT/%{_liconsdir}/gfloppy.xpm
bzcat %{SOURCE14} > $RPM_BUILD_ROOT/%{_iconsdir}/gfloppy.xpm
bzcat %{SOURCE15} > $RPM_BUILD_ROOT/%{_miconsdir}/gfloppy.xpm
bzcat %{SOURCE16} > $RPM_BUILD_ROOT/%{_liconsdir}/gnome-fontsel.xpm
bzcat %{SOURCE17} > $RPM_BUILD_ROOT/%{_iconsdir}/gnome-fontsel.xpm
bzcat %{SOURCE18} > $RPM_BUILD_ROOT/%{_miconsdir}/gnome-fontsel.xpm
bzcat %{SOURCE19} > $RPM_BUILD_ROOT/%{_liconsdir}/gless.xpm
bzcat %{SOURCE20} > $RPM_BUILD_ROOT/%{_iconsdir}/gless.xpm
bzcat %{SOURCE21} > $RPM_BUILD_ROOT/%{_miconsdir}/gless.xpm
bzcat %{SOURCE22} > $RPM_BUILD_ROOT/%{_liconsdir}/gnome-searchtool.xpm
bzcat %{SOURCE23} > $RPM_BUILD_ROOT/%{_iconsdir}/gnome-searchtool.xpm
bzcat %{SOURCE24} > $RPM_BUILD_ROOT/%{_miconsdir}/gnome-searchtool.xpm
bzcat %{SOURCE25} > $RPM_BUILD_ROOT/%{_liconsdir}/gnome-cromagnon.xpm
bzcat %{SOURCE26} > $RPM_BUILD_ROOT/%{_iconsdir}/gnome-cromagnon.xpm
bzcat %{SOURCE27} > $RPM_BUILD_ROOT/%{_miconsdir}/gnome-cromagnon.xpm
bzcat %{SOURCE28} > $RPM_BUILD_ROOT/%{_liconsdir}/gnome-info.xpm
bzcat %{SOURCE29} > $RPM_BUILD_ROOT/%{_iconsdir}/gnome-info.xpm
bzcat %{SOURCE30} > $RPM_BUILD_ROOT/%{_miconsdir}/gnome-info.xpm
bzcat %{SOURCE31} > $RPM_BUILD_ROOT/%{_liconsdir}/gnome-who.xpm
bzcat %{SOURCE32} > $RPM_BUILD_ROOT/%{_iconsdir}/gnome-who.xpm
bzcat %{SOURCE33} > $RPM_BUILD_ROOT/%{_miconsdir}/gnome-who.xpm
bzcat %{SOURCE34} > $RPM_BUILD_ROOT/%{_liconsdir}/logview.xpm
bzcat %{SOURCE35} > $RPM_BUILD_ROOT/%{_iconsdir}/logview.xpm
bzcat %{SOURCE36} > $RPM_BUILD_ROOT/%{_miconsdir}/logview.xpm

#
# Lots of menu entries
#
install -m 755 -d $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/gnome-utils
?package(%{name}): \
	needs="X11" \
	section="Applications/Sciences/Mathematics" \
	title="Gnome Calc" \
	longtitle="Gnome Calculator" \
	command="%{_bindir}/gcalc" \
	icon=gnome-calc2.xpm
?package(%{name}): \
	needs="X11" \
	section="Applications/Text tools" \
	title="Gnome Character Map" \
	longtitle="Gnome Character Map" \
	command="%{_bindir}/gcharmap" \
	icon=gcharmap.xpm
?package(%{name}): \
	needs="X11" \
	section="Multimedia/Graphics" \
	title="Gnome Color Selector" \
	longtitle="Gnome Color Selector" \
	command="%{_bindir}/gcolorsel" \
	icon=gnome-color-browser.xpm
?package(%{name}): \
	needs="X11" \
	section="Configuration/Hardware" \
	title="Gnome Floppy" \
	longtitle="Gnome Floppy Disk Format Tool" \
	command="%{_bindir}/gfloppy" \
	icon=gfloppy.xpm
?package(%{name}): \
	needs="X11" \
	section="Applications/Text tools" \
	title="Gnome Font Selector" \
	longtitle="Gnome Font Selector" \
	command="%{_bindir}/gfontsel"\
	icon=gnome-fontsel.xpm
?package(%{name}): \
	needs="X11" \
	section="Applications/Text tools" \
	title="Gnome Text Viewer" \
	longtitle="Gnome Text Viewer" \
	command="%{_bindir}/gless"\
	icon=gless.xpm
?package(%{name}): \
	needs="X11" \
	section="Applications/File tools" \
	title="Gnome Search Tool" \
	longtitle="Gnome Search Tool" \
	command="%{_bindir}/gsearchtool"\
	icon=gnome-searchtool.xpm
?package(%{name}): \
	needs="X11" \
	section="Office/Time management" \
	title="Gnome Time Tracker" \
	longtitle="Gnome Time Tracker" \
	command="%{_bindir}/gtt"\
	icon=gnome-cromagnon.xpm
?package(%{name}): \
	needs="X11" \
	section="Applications/Monitoring" \
	title="System info" \
	longtitle="Technical information about this computer" \
	command="%{_bindir}/guname"\
	icon=gnome-info.xpm
?package(%{name}): \
	needs="X11" \
	section="Applications/Monitoring" \
	title="Gnome Who" \
	longtitle="Information on who is logged on this computer" \
	command="%{_bindir}/gw"\
	icon=gnome-who.xpm
?package(%{name}): \
	needs="X11" \
	section="Applications/Monitoring" \
	title="System Log Viewer" \
	longtitle="System Log Viewer" \
	command="%{_bindir}/logview"\
	icon=logview.xpm
?package(%{name}): \
	needs="X11" \
	section="Configuration/Boot and Init" \
	title="Gnome Shutdown" \
	longtitle="Shutdown this computer" \
	command="%{_bindir}/gshutdown"\
	icon=gnome-shutdown.xpm
EOF

#?package(%{name}): \
#	needs="X11" \
#	section="Applications/Monitoring" \
#	title="Gnome Stripchart" \
#	longtitle="Gnome Stripchart" \
#	command="%{_bindir}/gstripchart"\
#	icon=gstripchart.xpm
#?package(%{name}): \
#	needs="X11" \
#	section="Configuration/Hardware" \
#	title="Ide disk drives" \
#	longtitle="Information on IDE hard drives" \
#	command="%{_bindir}/idetool"\
#	icon=ide-disk-drive.xpm

%post
if [ -x /usr/bin/scrollkeeper-update ]; then /usr/bin/scrollkeeper-update || true ; fi
%{update_menus}

%postun
if [ -x /usr/bin/scrollkeeper-update ]; then /usr/bin/scrollkeeper-update || true ; fi
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/*
%{_sbindir}/*
%config %{_sysconfdir}/CORBA/servers/*
%{_datadir}/application-registry/*
%{_datadir}/pixmaps/*
%{_datadir}/gnome-utils
%{_datadir}/gnome/apps/*/*
%{_datadir}/gnome/help/*
%{_datadir}/gcolorsel
%{_datadir}/stripchart
%{_datadir}/idl/*
%{_datadir}/logview
%{_datadir}/applets/*/*
%{_datadir}/mime-info/*
%{_datadir}/omf/*
%{_menudir}/%{name}
%{_liconsdir}/*.xpm
%{_iconsdir}/*.xpm
%{_miconsdir}/*.xpm
%{_sysconfdir}/pam.d/*
%{_sysconfdir}/security/console.apps/*
%{_mandir}/man*/*

%changelog
* Fri Sep 14 2001 Pablo Saratxaga <pablo@mandrakesoft.com>> 1.4.0.2-4mdk
- rebuild including latest translations

* Fri Sep 07 2001 Stefan van der Eijk <stefan@eijk.nu> 1.4.0.2-3mdk
- BuildRequires: flex

* Fri Jul 06 2001 Stefan van der Eijk <stefan@eijk.nu> 1.4.0.2-2mdk
- BuildRequires:      db1-devel
- BuildRequires:      gdk-pixbuf-devel
- Remove BuildRequires:       audiofile-devel
- Remove BuildRequires:       esound-devel
- Remove BuildRequires:       gnome-core
- Remove BuildRequires:       gnome-libs-devel
- Remove BuildRequires:       imlib-devel
- Remove BuildRequires:       libjpeg-devel
- Remove BuildRequires:       libpng-devel
- Remove BuildRequires:       libxml-devel
- Remove BuildRequires:       ORBit-devel
- Remove BuildRequires:       XFree86-devel
- Remove BuildRequires:       zlib-devel

* Tue Jul  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0.2-1mdk
- Release 1.4.0.2
- Patch0: fix pam files

* Wed Jun 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0.1-1mdk
- Release 1.4.0.1
- Remove patch 2 (merged upstream)

* Tue Jun 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0-2mdk
- Correct menu entries

* Wed Mar 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0-1mdk
- Release 1.4.0
- Add scrollkeeper files

* Wed Feb 28 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.1-1mdk
- Release 1.3.1
- Correct list of files

* Tue Sep 26 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.2.1-6mdk
- Pamstackizification.

* Fri Sep 22 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.2.1-5mdk
- console-helper and pam config instead of kdesu and added requirement 
  for usermode.

* Thu Sep 21 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.2.1-4mdk
- added kdesu to launch logview (and added requires)
- changed logview icon

* Tue Sep  5 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.2.1-3mdk
- added all menu entries and icons
- lang macros

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.2.1-2mdk
- automatically added BuildRequires

* Tue Jul 25 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-1mdk
- Release 1.2.1
- use more macros
- embed menu entry in specfile
- provide gfloppy and gnome-admin

* Fri Jul 21 2000 dam's <damien@mandrakesoft.com> 1.0.50-5mdk
- BM + macrozification.

* Thu May 04 2000 dam's <damien@mandrakesoft.com> 1.0.50-4mdk
- corrected menu entries.

* Sun Apr 23 2000 dam's <damien@mandrakesoft.com> 1.0.50-3mdk
- added menu entries

* Tue Apr 11 2000 Daouda Lo <daouda@mandrakesoft.com> 1.0.50-2mdk
- fix group

* Fri Nov 26 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- 1.0.50

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Enable SMP check/build
- comment out some redhat stuff

* Fri Sep 24 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 1.0.13

* Fri Aug 06 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- cleaned %files
- changed Group:
- changed descriptions (calendar is nom on gnome-pim)

* Sun Aug 01 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 1.0.12
- remove Obsolete patch

* Fri Apr 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adpatations.

* Fri Mar 19 1999 Michael Fulbright <drmike@redhat.com>
- strip binaries

* Sun Mar 14 1999 Michael Fulbright <drmike@redhat.com>
- removed gshutdown (confusing for newbies)

* Mon Feb 15 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.8

* Sat Feb 06 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.6

* Mon Jan 18 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.3

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.1

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- updated for GNOME freeze

* Wed Sep 23 1998 Michael Fulbright <msf@redhat.com>
- Upgraded to 0.30

* Mon Apr  6 1998 Marc Ewing <marc@redhat.com>
- Integrate into gnome-utils CVS source tree
